#include <string>

using namespace std;

#include "testlib.h"

int main(int argc, char * argv[]) {
	registerTestlibCmd(argc, argv);
	
	int k = inf.readInt();
	if (k < 1 || k > 100000)
		quitf(_fail, "Некорректное значение k: %d", k);

	int p = inf.readInt();
	if (p < 2 || p > k)
		quitf(_fail, "Некорректное значение p: %d", p);


	int x;

	for (int i = 0; i < k; i++)
	{
		x = inf.readInt();
		if (x < 1 || x > 1000000000)
			quitf(_fail, "Некорректное число деревьев типа %d: %d", i + 1, x);
	}

	std::string jans = ans.readString();
	std::string cans = ouf.readString();
	if (cans != jans)
		quitf(_wa, "Ожидалось %s, получено %s", jans.c_str(), cans.c_str());

	quitf(_ok, "");
	return 0;
}
